<%-- 
* @start_restricted_prolog@
* Version: %Z% %I% %W% %E% %U% [%H% %T%]
* Licensed Materials - Property of IBM
* 5724-I82, 5724-L01, 5655-R15, 5655-N53
* Copyright IBM Corporation 2011 All Rights Reserved.
* US Government Users Restricted Rights- Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
* @end_restricted_prolog@
*
* Change activity:
*
* Reason     Date        Origin    Description
* ---------  ----------  --------  ----------------------------------------------
* 703614	 30/09/2011	 mleming   Copy jsp from SIB FE to address accessibility issues
--%>

<%@ page import="com.ibm.ws.console.core.form.AbstractDetailForm"%>

<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tiles.tld" prefix="tiles" %>

<tiles:useAttribute id="questionKey" name="questionKey" classname="java.lang.String" ignore="true" />
<tiles:useAttribute id="questionDescKey" name="questionDescKey" classname="java.lang.String" ignore="true" />
<tiles:useAttribute id="answerProperty" name="answerProperty" classname="java.lang.String"/>
<tiles:useAttribute id="options" name="options" classname="java.util.List" />
<tiles:useAttribute id="formBean" name="bean" classname="java.lang.String"/>

<bean:define id="bean" name="<%=formBean%>"/>
<bean:define id="currSelection" name="<%=formBean%>" property="<%=answerProperty%>"/>

<% if (questionKey != null)
   {
    // If there's a question, set it...
 %>
<tr>
  <td width="100%" valign="top" class="table-text">    
    <bean:message key="<%=questionKey%>"/>
  </td>
</tr>
<% }
  %>

<%

   int totalOptions = options.size();
   int index = 0;
   java.util.Iterator optionIterator = options.iterator();
   while (optionIterator.hasNext())
   {
       // Add each option...
       String value = (String) optionIterator.next();
       String[] valueComponent = value.split(":");
       String titleKey = valueComponent[0];
       String descKey = valueComponent[1];
       String selectionValue = valueComponent[2];
       
       String styleId = "dropdown" + index;       
       String answerPropId = answerProperty + index; 
       String onclick = "for (var i=0, l=" + totalOptions + ";i<l;i++) " +
                        "{ " +
                        "    var objectToGrey = document.getElementById('dropdown' + i); " +
                        "    objectToGrey.disabled = true; " +
                        "} " + 
                        "var objectToEnable = document.getElementById('dropdown" + index + "'); " +
                        "objectToEnable.disabled = false;";
       index = index + 1;

       boolean disabled = true;
       if (selectionValue.equals(currSelection))
       {
           disabled = false;
       }

 %>
<tr>
  <td width="10%" valign="top" class="table-text">    
    <div title="<bean:message key="SIBRadioButtonDropDownOptions.option.description"/>">
    <LABEL for="<%=answerPropId%>" title="<bean:message key="SIBRadioButtonDropDownOptions.option.description"/>"></LABEL>
    <html:radio property="<%=answerProperty%>" value="<%=selectionValue%>" onclick="<%=onclick%>" styleId="<%=answerPropId%>"/>
    </div>
  </td>
  <td width="30%" valign="top" class="table-text">    
   <LABEL for="<%=answerProperty%>" title="<bean:message key="SIBRadioButtonDropDownOptions.option.description"/>">
    <bean:message key="<%=titleKey%>"/>
   </LABEL>
  </td>
  <td width="60%" valign="top" class="table-text">
<%
        // Assign additional drop-down list options if provided...
        if (valueComponent.length == 6)
        {
            String attribute = valueComponent[3];
            String optionNameList = valueComponent[4];
            String optionValueList = valueComponent[5];


 %>
    <bean:define id="names" name="<%=formBean%>" property="<%=optionNameList%>" type="java.util.List"/>
    <bean:define id="values" name="<%=formBean%>" property="<%=optionValueList%>" type="java.util.List"/>
    <LABEL for="<%=styleId%>" title="<bean:message key="SIBRadioButtonDropDownOptions.select.description"/>"></LABEL>
    <html:select property="<%=attribute%>" styleId="<%=styleId%>" disabled="<%=disabled%>" >
        <%
          if (names.size() == 0)
          {
         %>
           <html:option value=""><bean:message key="none.text"/></html:option>
        <%
          }
          else
          {
              for (int i=0; i < names.size(); i++)
              { 
                  String name = (String) names.get(i);
                  String val = (String) values.get(i);              
         %>
		   <html:option value="<%=val%>"><%=name%></html:option>
   		  <%
              }
		  }
         %>
    </html:select>
    
<%
        }
        else
        {
 %>
         <input type="hidden" name="<%=styleId%>" id="<%=styleId%>" />
 <%
        }
 %>
  </td>
</tr>

 <%
   }
 %>


