<!--
 * @start_prolog@
 * @(#)SIBXSRVR/ws/code/sibx.admin.webui.base/src/sibxbaseresources/com.ibm.ws.console.sibx.sibxbaseresources/SCMConnectivityProviderTaskStep2.jsp, WESB.admin.webui, WBIX.SIBXSRVR, 1.0
 * 
 * 5724-I82, 5724-L01, 5655-R15, 5655-N53
 * 
 * (c) Copyright IBM Corp. 2009
 * 
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 * @end_prolog@
-->

<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/tiles.tld" prefix="tiles" %>

<tiles:useAttribute name="actionForm" classname="java.lang.String" />

<bean:define id="name" name="<%=actionForm%>" property="name" type="java.lang.String"/>
<bean:define id="description" name="<%=actionForm%>" property="description" type="java.lang.String"/>
<bean:define id="contact" name="<%=actionForm%>" property="contact" type="java.lang.String"/>
<bean:define id="organization" name="<%=actionForm%>" property="organization" type="java.lang.String"/>
<bean:define id="location" name="<%=actionForm%>" property="location" type="java.lang.String"/>
<bean:define id="proxyHostHTTP" name="<%=actionForm%>" property="proxyHostHTTP" type="java.lang.String"/>
<bean:define id="proxyPortHTTP" name="<%=actionForm%>" property="proxyPortHTTP" type="java.lang.String"/>
<bean:define id="proxyHostHTTPS" name="<%=actionForm%>" property="proxyHostHTTPS" type="java.lang.String"/>
<bean:define id="proxyPortHTTPS" name="<%=actionForm%>" property="proxyPortHTTPS" type="java.lang.String"/>
<bean:define id="authAlias" name="<%=actionForm%>" property="authAlias" type="java.lang.String"/>
<bean:define id="repertoire" name="<%=actionForm%>" property="repertoire" type="java.lang.String"/>

<table>
<tr>
<td>
<label for="name" class="instruction-text" title="<bean:message key="SCMConnectivityProvider.name.description"/>" alt="<bean:message key="SCMConnectivityProvider.name.description"/>">
    <img id="requiredImage" width="8" height="8" align="absmiddle" alt="<bean:message key="information.required"/>" src="images/attend.gif" title="<bean:message key="information.required"/>"/>
    <bean:message key="SCMConnectivityProvider.name.displayName"/>
<br>
<html:text styleId="name" property="name" name="<%=actionForm%>" size="30" styleClass="textEntryRequired"/>
</label>  
</td>
</tr>
<tr>
<td>
<label for="description" class="instruction-text" title="<bean:message key="SCMConnectivityProvider.description.description"/>" alt="<bean:message key="SCMConnectivityProvider.description.description"/>">
    <bean:message key="SCMConnectivityProvider.description.displayName"/>
<br>
<html:textarea styleId="description" property="description" name="<%=actionForm%>" cols="60" rows="5" styleClass="textEntry"/>
</label>  
</td>
</tr>
<tr>
<td>
<label for="contact" class="instruction-text" title="<bean:message key="SCMConnectivityProvider.contact.description"/>" alt="<bean:message key="SCMConnectivityProvider.contact.description"/>">
    <bean:message key="SCMConnectivityProvider.contact.displayName"/>
<br>
<html:text styleId="contact" property="contact" name="<%=actionForm%>" size="30" styleClass="textEntry"/>
</label>  
</td>
</tr>
<tr>
<td>
<label for="organization" class="instruction-text" title="<bean:message key="SCMConnectivityProvider.organization.description"/>" alt="<bean:message key="SCMConnectivityProvider.organization.description"/>">
    <bean:message key="SCMConnectivityProvider.organization.displayName"/>
<br>
<html:text styleId="organization" property="organization" name="<%=actionForm%>" size="30" styleClass="textEntry"/>
</label>  
</td>
</tr>
<tr>
<td>
<label for="location" class="instruction-text" title="<bean:message key="SCMConnectivityProvider.location.description"/>" alt="<bean:message key="SCMConnectivityProvider.location.description"/>">
    <bean:message key="SCMConnectivityProvider.location.displayName"/>
<br>
<html:text styleId="location" property="location" name="<%=actionForm%>" size="30" styleClass="textEntry"/>
</label>  
</td>
</tr>
<tr>
<td>
<label for="proxyHostHTTP" class="instruction-text" title="<bean:message key="SCMConnectivityProvider.proxyHostHTTP.description"/>" alt="<bean:message key="SCMConnectivityProvider.proxyHostHTTP.description"/>">
    <img id="requiredImage" width="8" height="8" align="absmiddle" alt="<bean:message key="information.required"/>" src="images/attend.gif" title="<bean:message key="information.required"/>"/>
    <bean:message key="SCMConnectivityProvider.proxyHostHTTP.displayName"/>
<br>
<html:text styleId="proxyHostHTTP" property="proxyHostHTTP" name="<%=actionForm%>" size="30" styleClass="textEntryRequired"/>
</label>  
</td>
</tr>
<tr>
<td>
<label for="proxyPortHTTP" class="instruction-text" title="<bean:message key="SCMConnectivityProvider.proxyPortHTTP.description"/>" alt="<bean:message key="SCMConnectivityProvider.proxyPortHTTP.description"/>">
    <img id="requiredImage" width="8" height="8" align="absmiddle" alt="<bean:message key="information.required"/>" src="images/attend.gif" title="<bean:message key="information.required"/>"/>
    <bean:message key="SCMConnectivityProvider.proxyPortHTTP.displayName"/>
<br>
<html:text styleId="proxyPortHTTP" property="proxyPortHTTP" name="<%=actionForm%>" size="30" styleClass="textEntryRequired"/>
</label>  
</td>
</tr>
<tr>
<td>
<label for="proxyHostHTTPS" class="instruction-text" title="<bean:message key="SCMConnectivityProvider.proxyHostHTTPS.description"/>" alt="<bean:message key="SCMConnectivityProvider.proxyHostHTTPS.description"/>">
    <img id="requiredImage" width="8" height="8" align="absmiddle" alt="<bean:message key="information.required"/>" src="images/attend.gif" title="<bean:message key="information.required"/>"/>
    <bean:message key="SCMConnectivityProvider.proxyHostHTTPS.displayName"/>
<br>
<html:text styleId="proxyHostHTTPS" property="proxyHostHTTPS" name="<%=actionForm%>" size="30" styleClass="textEntryRequired"/>
</label>  
</td>
</tr>
<tr>
<td>
<label for="proxyPortHTTPS" class="instruction-text" title="<bean:message key="SCMConnectivityProvider.proxyPortHTTPS.description"/>" alt="<bean:message key="SCMConnectivityProvider.proxyPortHTTPS.description"/>">
    <img id="requiredImage" width="8" height="8" align="absmiddle" alt="<bean:message key="information.required"/>" src="images/attend.gif" title="<bean:message key="information.required"/>"/>
    <bean:message key="SCMConnectivityProvider.proxyPortHTTPS.displayName"/>
<br>
<html:text styleId="proxyPortHTTPS" property="proxyPortHTTPS" name="<%=actionForm%>" size="30" styleClass="textEntryRequired"/>
</label>  
</td>
</tr>
<tr>
<tiles:insert page="/secure/layouts/dynamicSelectionLayout.jsp" flush="false">
        <tiles:put name="property" value="authAlias" />
        <tiles:put name="readOnly" value="false" />
        <tiles:put name="isRequired" value="false" />
        <tiles:put name="label" value="SCMConnectivityProvider.authAlias.displayName" />
        <tiles:put name="size" value="30" />
        <tiles:put name="units" value=""/>
        <tiles:put name="desc" value="SCMConnectivityProvider.authAlias.description"/>
        <tiles:put name="bean" value="<%=actionForm%>" />
        <tiles:put name="multiSelect" value="false" />
</tiles:insert>  
</tr>
<tr>
<td>
<label for="repertoire" class="instruction-text" title="<bean:message key="SCMConnectivityProvider.repertoire.description"/>" alt="<bean:message key="SCMConnectivityProvider.repertoire.description"/>">
    <bean:message key="SCMConnectivityProvider.repertoire.displayName"/>
<br>
<html:text styleId="repertoire" property="repertoire" name="<%=actionForm%>" size="30" styleClass="textEntry"/>
</label>  
</td>
</tr>
</table>
