<!-- 
* @start_prolog@
* 
* 5724-I82, 5724-L01, 5655-R15, 5655-N53
* 
* (c) Copyright IBM Corp. 2005, 2006
* 
* The source code for this program is not published or other-
* wise divested of its trade secrets, irrespective of what has
* been deposited with the U.S. Copyright Office.
* @end_prolog@
-->

<!--
This JSP replicates the 'select' field type on the 'item value' string of the putlist name=attributelist.
The difference here is that the field is editable for 'new' registry, but non-editable for existing ones.
-->

<%@ page import="java.util.*"%>
<%@ page import="com.ibm.ws.console.sibx.sibxwsrrresources.*"%>
<%@ page import="com.ibm.ws.console.core.item.PropertyItem"%>
<%@ page import="com.ibm.ws.console.core.form.AbstractDetailForm"%>
<%@ taglib uri="/WEB-INF/tiles.tld" prefix="tiles" %>

<!-- these parms are as passed by configGenPropLayout.jsp to a strType of "jsp". -->
   <tiles:useAttribute id="label" name="label" classname="java.lang.String"/>
   <tiles:useAttribute id="desc" name="desc" classname="java.lang.String"/>
   <tiles:useAttribute id="bean" name="bean" classname="java.lang.String"/>
   <tiles:useAttribute id="readOnly" name="readOnly" classname="java.lang.String"/>
   <tiles:useAttribute id="jspPage" name="jspPage" classname="java.lang.String"/>
   <tiles:useAttribute id="size" name="size" classname="java.lang.String"/>
   <tiles:useAttribute id="units" name="units" classname="java.lang.String"/>
   <tiles:useAttribute id="property" name="property" classname="java.lang.String"/> <!--field name-->
   <tiles:useAttribute id="isRequired" name="isRequired" classname="java.lang.String"/>   

   
   
<% if (desc.equals("")) { desc = label; } %> 

<%                 
PropertyItem item = new PropertyItem();

item.setValue(

            "registry.connection.type:connectionType:no:jsp:registry.connection.type.desc:yes:yes:WEBSERVICE:registry.conntype.webservice:/com.ibm.ws.console.sibx.sibxwsrrresources/select.jsp" 
); /* this string is hard-coded here because it is not supplied as an input attribute when this jsp is invoked */

// TO re-introduce EJB as a connection type, in the string above,
// change "WEBSERVICE" to "WEBSERVICE,EJB"
// change "registry.conntype.webservice" to "registry.conntype.webservice,registry.conntype.ejb"

                        try {
                            session.removeAttribute("valueVector");
                            session.removeAttribute("descVector");
                        }
                        catch (Exception e) {
                        }
                        
                        StringTokenizer st1 = new StringTokenizer(item.getEnumDesc(), ";,");
                        Vector descVector = new Vector();
                        while(st1.hasMoreTokens()) 
                        {
                            String str = st1.nextToken();
                            descVector.addElement(str);
                        }
                        StringTokenizer st = new StringTokenizer(item.getEnumValues(), ";,");
                        Vector valueVector = new Vector();
                        while(st.hasMoreTokens()) 
                        {
                            String str = st.nextToken();
                            valueVector.addElement(str);
                        }
            
                        session.setAttribute("descVector", descVector);
                        session.setAttribute("valueVector", valueVector);
                        %>

<!-- fields are inserted here as done by configGenPropLayout.jsp for a strType of "select". -->
        <tiles:insert page="/secure/layouts/submitLayout.jsp"  flush="false">
        <tiles:put name="label" value="<%=item.getLabel()%>" />
<%       
         
         AbstractDetailForm form = (AbstractDetailForm) session.getAttribute(bean);
         
         if (form.getAction().equals("New")) { 

%>
        <tiles:put name="readOnly" value="no" />
 <% } else { 

 %>        
        <tiles:put name="readOnly" value="true" />
 <% } %>       
        <tiles:put name="isRequired" value="<%=item.getRequired()%>" />
        <tiles:put name="valueVector" value="<%=valueVector%>" />
        <tiles:put name="descVector" value="<%=descVector%>" />
        <tiles:put name="size" value="30" />
        <tiles:put name="units" value=""/>
        <tiles:put name="property" value="<%=item.getAttribute()%>" />
        <tiles:put name="desc" value="<%=item.getDescription()%>"/>
        <tiles:put name="bean" value="<%=bean%>" />
        </tiles:insert>
